<!-- HeaderComponent to be displayed as part of AppComponent -->
<app-header></app-header>
<br />

<!-- Label to display any error messages -->
<label class="error-message">{{ errMessage }}</label>
<br />
<!-- To add notes -->
<mat-expansion-panel hideToggle>
  <mat-expansion-panel-header>
    <mat-panel-title> Take a Note </mat-panel-title>
    <mat-panel-description> Expand it to take the notes </mat-panel-description>
  </mat-expansion-panel-header>
  <mat-form-field>
    <input matInput placeholder="Title" name="title" [(ngModel)]="note.title" />
  </mat-form-field >
  <mat-form-field style="width: 100%;">
    <textarea matInput placeholder="Notes Description" name="text" [(ngModel)]="note.text" ></textarea>
  </mat-form-field>

  <mat-action-row>
    <button mat-raised-button color="primary" (click)="addData()">Done</button>
  </mat-action-row>
</mat-expansion-panel>
<br />
<!-- Load and display the collection of notes from server as Material Cards with card title set to note title and card content set to note text  -->
<div class="d-flex  flex-wrap justify-content-evenly" *ngIf="noteList">
  <mat-card *ngFor="let data of noteList">
    <mat-card-header>
      <mat-card-title>{{ data.title }}</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <p>{{ data.text }}</p>
    </mat-card-content>
  </mat-card>
</div>